@echo off

setlocal

echo Fix Cusco Airport Name
echo.
echo This small utility allows you to change the Cusco airport name to the correct one (see manual).
echo.
echo A backup of the original file will be created inside the Official/OneStore/fs-base folder.
echo.
echo If you want to fix the airport name, press the y key.
echo.
echo If you don't want to fix the files, exit this window or press n.

:PROMPT1
SET /P AREYOUSURE=Are you sure (Y/[N])?
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END

:PROMPT2
SET /P AREYOUSURE=Really? (Y/[N])
IF /I "%AREYOUSURE%" NEQ "Y" GOTO END


if exist "..\Official\OneStore\fs-base\de-DE.locPak" (
	echo MSFS installation found
	GOTO GoPC
	) else (
	GOTO Steam
)


:GoPC
if exist "..\Official\OneStore\fs-base\de-DE.locPak.original" (
	echo Backup file already exists
	GOTO Go2
	) else (
	GOTO Go1
)
:Go1
copy "..\Official\OneStore\fs-base\de-DE.locPak" "..\Official\OneStore\fs-base\de-DE.locPak.original"
copy "..\Official\OneStore\fs-base\en-US.locPak" "..\Official\OneStore\fs-base\en-US.locPak.original"
:Go2
FSDG_ChangeTheName_Utility.exe "..\Official\OneStore\fs-base\de-DE.locPak" "Teniente FAP Alejandro Velasco Astete" "Alejandro Velasco Astete"
FSDG_ChangeTheName_Utility.exe "..\Official\OneStore\fs-base\en-US.locPak" "Tnte Fap Alejandro Velazco Ast" "Alejandro Velasco Astete"
GOTO Done

:Steam
if exist "..\Official\Steam\fs-base\de-DE.locPak" (
	echo MSFS Steam installation found
	GOTO GoSteam
	) else (
	GOTO NotFound
)
:GoSteam
if exist "..\Official\Steam\fs-base\de-DE.locPak.original" (
	echo Backup file already exists
	GOTO Go4
	) else (
	GOTO Go3
)
:Go3
copy "..\Official\Steam\fs-base\de-DE.locPak" "..\Official\OneStore\fs-base\de-DE.locPak.original"
copy "..\Official\Steam\fs-base\en-US.locPak" "..\Official\OneStore\fs-base\en-US.locPak.original"
:Go4
FSDG_ChangeTheName_Utility.exe "..\Official\Steam\fs-base\de-DE.locPak" "Teniente FAP Alejandro Velasco Astete" "Alejandro Velasco Astete"
FSDG_ChangeTheName_Utility.exe "..\Official\Steam\fs-base\en-US.locPak" "Tnte Fap Alejandro Velazco Ast" "Alejandro Velasco Astete"
GOTO Done


:NotFound
echo We could not find your MSFS installation. The tool cannot be executed, sorry for that.
GOTO End

:Done
echo Ok, we fixed the file. The airport will now have the correct name in MSFS. Well done! :-)

pause

:END
endlocal

echo.
echo.
echo Ok, that's it then. Press any key to exit this window.

pause